using System;
using System.Collections.Generic;
using System.Windows.Media;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Ink;
using System.Windows.Controls;

namespace WpfApp1.Structure
{
    internal class Content : Symbol
    {
        public List<Symbol> groups;

        public Content(int id, Canvas video_text) : base(id, video_text)
        {
            this.groups = new List<Symbol>();
        }

        public new void Disconnect()
        {
            foreach (Symbol group in this.groups)
            {
                group.inclusions.Remove(this);
            }
            base.Disconnect();
        }
        public new void Connect()
        {
            foreach (Symbol group in this.groups)
            {
                group.inclusions.Add(this);
            }
            base.Connect();
        }
    }
}
